Modify

Opened 8 months ago

Closed 7 months ago

Last modified 7 months ago

#19075 closed enhancement (fixed)

Presets: add popup menu to keys

Reported by: simon04 Owned by: simon04
Priority: normal Milestone: 20.05
Component: Core Version:
Keywords: taginfo presets wiki Cc:

Description

Right click on a key/label/combo/check and open OSM wiki or Taginfo.


Attachments (2)

2020-04-12-160543.png (21.7 KB) - added by simon04 8 months ago.
josm_19075_screenshot.png (24.9 KB) - added by skyper 7 months ago.
screenshot without working taginfo

Download all attachments as: .zip

Change History (15)

Changed 8 months ago by simon04

Attachment: 2020-04-12-160543.png added

comment:1 Changed 8 months ago by simon04

Milestone: 20.04
Summary: Presets; add popup menu to keysPresets: add popup menu to keys

comment:2 Changed 8 months ago by simon04

In 16274/josm:

see #19075 - Generify HelpTagAction

comment:3 Changed 8 months ago by simon04

In 16275/josm:

see #19075 - Generify TaginfoAction

comment:4 Changed 8 months ago by simon04

Resolution: fixed
Status: assignedclosed

In 16276/josm:

fix #19075 - Presets: add popup menu to keys

comment:5 Changed 8 months ago by simon04

In 16282/josm:

see #8352, see #19075 - Presets: fix unit tests

Changed 7 months ago by skyper

Attachment: josm_19075_screenshot.png added

screenshot without working taginfo

comment:6 Changed 7 months ago by skyper

Resolution: fixed
Status: closedreopened

Does not work for me. I have a context menu but no taginfo or wiki link.

screenshot without working taginfo

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-04-23 21:58:14 +0200 (Thu, 23 Apr 2020)
Revision:16376
Build-Date:2020-04-24 01:30:45
URL:https://josm.openstreetmap.de/svn/trunk

comment:7 Changed 7 months ago by Klumbumbus

You need to right click on the tag text left.

comment:8 in reply to:  7 Changed 7 months ago by skyper

Replying to Klumbumbus:

You need to right click on the tag text left.

Thanks, that helped.
Still, I'd like to have it included in the context menu clicking on the value, too.
If you have a long key and a short one, like in my example, clicking on the space behind the colon of the key is also not working.

comment:9 Changed 7 months ago by simon04

Resolution: fixed
Status: reopenedclosed

I respect your wish. However, I don't want to fiddle around with the native text element popup menu (on various platforms).

comment:10 Changed 7 months ago by Klumbumbus

Milestone: 20.0420.05

Milestone renamed

comment:11 Changed 7 months ago by skyper

Is this ticket to blame that the keyboard shortcut F1 does not work anymore in the presets?

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-05-13 15:24:14 +0200 (Wed, 13 May 2020)
Revision:16407
Build-Date:2020-05-14 01:30:47
URL:https://josm.openstreetmap.de/svn/trunk

comment:12 Changed 7 months ago by simon04

I don't think so. Has F1 ever been working there? Doesn't work for me in r16239

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-04-06 02:17:07 +0200 (Mon, 06 Apr 2020)
Revision:16239
Build-Date:2020-04-06 00:18:43
URL:https://josm.openstreetmap.de/svn/trunk

comment:13 in reply to:  12 Changed 7 months ago by skyper

Replying to simon04:

I don't think so. Has F1 ever been working there? Doesn't work for me in r16239

Probably, not. But the displayed shortcut in context menu is misleading now.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain simon04.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.